(function($) {

	$.fn.mobilize = function(windowWidth, menuItemName, cssName) {
		
		if($(window).width() < windowWidth) {

			//insert CSS file for the menu
			$('head').append($('<link rel="stylesheet" type="text/css" />').attr('href', 'css/'+cssName));

			//add the more-menu right after the current menu
			$(this).after('<nav class="more-menu"><ul></ul></nav>');

			//defining variables
			var numberOfItems = $('li.main-item').length;
			var selectAndAppend = $('.main-menu ul > li:not(.main-item)').appendTo($('.more-menu ul'));
			var insertMoreLI = $('.main-menu ul > li').last().after('<li><a href="#" id="open-more-menu">'+menuItemName+'</a></li>');

			//apply CSS for setting the width of list items
			function applyWidth(width) {
				$('.main-menu ul > li').css({
					'width': width+'%'
				});
			}

			//if two, three, four or five elements with the class "menu-items" are present
			if(numberOfItems == 2) {
				selectAndAppend;
				insertMoreLI;
				applyWidth(33.33);
			}
			else if(numberOfItems == 3) {
				selectAndAppend;
				insertMoreLI;
				applyWidth(25);
			}
			else if(numberOfItems == 4) {
				selectAndAppend;
				insertMoreLI;
				applyWidth(20);
			}
			else if(numberOfItems == 5) {
				selectAndAppend;
				insertMoreLI;
				applyWidth(16.66);
			}

			//show "more"-menu when the "more"-list item is clicked
			var openMoreMenu = $('#open-more-menu');
			var moreMenu = $('.more-menu');
			openMoreMenu.on('click', function(event) {
				moreMenu.toggle();
			});
		}

	};

}( jQuery ));